using System.Drawing.Drawing2D;

namespace Pilz.UI;


public class LineCapConfigurationArgs
{

    public LineCap LineCap { get; private set; }
    public CustomLineCap CustomLineCap { get; private set; }

    public LineCapConfigurationArgs(LineCap lineCap) : this(lineCap, null)
    {
    }

    public LineCapConfigurationArgs(CustomLineCap customLineCap) : this(default, customLineCap)
    {
    }

    public LineCapConfigurationArgs(LineCap lineCap, CustomLineCap customLineCap)
    {
        LineCap = lineCap;
        CustomLineCap = customLineCap;
    }

}